MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031813Open CASCADE[OCCT] OCCT:Data Exchangepublic2020-10-01 12:192020-10-03 14:38
Reporterkgv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031813: Data Exchange, RWGltf_GltfJsonParser - debug assertion in progress scope on reading glTF1.0 files
DescriptionReading obsolete glTF1.0 files causes a debug assertion on re-using the same progress scope multiple times.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0025748verifiedabv Foundation Classes - Parallel version of progress indicator 

-  Notes
(0095520)
git (administrator)
2020-10-01 12:40

Branch CR31813 has been created by kgv.

SHA-1: 188046fc5b8760583da79eebb324a1213c29f377


Detailed log of new commits:

Author: kgv
Date: Thu Oct 1 12:43:54 2020 +0300

    0031813: Data Exchange, RWGltf_GltfJsonParser - debug assertion in progress scope on reading glTF1.0 files
    
    RWGltf_GltfJsonParser::gltfParseSceneNode() - removed redundant progress indication on sub-meshes list level.

Author: kgv
Date: Sun Sep 27 19:51:56 2020 +0300

    0031799: Configuration - compilation errors with Android NDK r12
    
    Added missing <stdarg.h> include (va_list) to Standard_CString.hxx.
    Do not include <search.h> in delabella.cpp when using gcc 4.9 from Android NDK.
(0095524)
kgv (developer)
2020-10-01 14:32

Patch is ready for review
- OCCT branch: CR31813.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31813-master-KGV/ [^]
(0095529)
osa (developer)
2020-10-01 15:29

The patch was reviewed
(0095630)
bugmaster (administrator)
2020-10-03 14:03

Combination -
OCCT branch : IR-2020-10-02
master SHA - 6522304c17181a09fa831c040219d611dc44b94a
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-10-02 SHA - d9c364e1137eed3249e5a05befa860c708f243c0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18085.050000000083 / 18057.60000000009 [+0.15%]
Products
Total CPU difference: 12174.620000000117 / 12124.200000000114 [+0.42%]
Windows-64-VC14:
OCCT
Total CPU difference: 19713.125 / 19772.65625 [-0.30%]
Products
Total CPU difference: 13533.8125 / 13527.921875 [+0.04%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0095649)
git (administrator)
2020-10-03 14:38

Branch CR31813 has been deleted by inv.

SHA-1: 188046fc5b8760583da79eebb324a1213c29f377

- Related Changesets
occt: master 28828566
Timestamp: 2020-10-01 09:43:54
Author: abv
Committer: abv
Details ] Diff ]
0031813: Data Exchange, RWGltf_GltfJsonParser - debug assertion in progress scope on reading glTF1.0 files

RWGltf_GltfJsonParser::gltfParseSceneNode() - removed redundant progress indication on sub-meshes list level.
mod - src/RWGltf/RWGltf_GltfJsonParser.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfJsonParser.pxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-10-01 12:19 kgv New Issue
2020-10-01 12:19 kgv Assigned To => kgv
2020-10-01 12:20 kgv Relationship added child of 0025748
2020-10-01 12:40 git Note Added: 0095520
2020-10-01 14:32 kgv Note Added: 0095524
2020-10-01 14:32 kgv Assigned To kgv => osa
2020-10-01 14:32 kgv Status new => resolved
2020-10-01 15:29 osa Note Added: 0095529
2020-10-01 15:29 osa Assigned To osa => bugmaster
2020-10-01 15:29 osa Status resolved => reviewed
2020-10-03 12:54 bugmaster Test case number => Not required
2020-10-03 14:03 bugmaster Note Added: 0095630
2020-10-03 14:03 bugmaster Status reviewed => tested
2020-10-03 14:05 abv Changeset attached => occt master 28828566
2020-10-03 14:05 abv Assigned To bugmaster => abv
2020-10-03 14:05 abv Status tested => verified
2020-10-03 14:05 abv Resolution open => fixed
2020-10-03 14:38 git Note Added: 0095649


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker